=== debian/changelog ===
cctbx (2022.9+ds2+~3.11.2+ds1-1) unstable; urgency=medium

  * New upstream version 2022.9+ds2+~3.11.2+ds1
  * c/control:
    - B-D Added python3-mrcfile
    - B-D python3-requests
    - python"-cctbx depends on libcctbx-dev. the fable code
      requires the headers files.
  * dxtbx reactivate the FormatMRC module

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Oct 2022 15:10:17 +0200

cctbx (2022.8+ds2+~3.11.1+ds1-2) unstable; urgency=medium

  * d/control: libcctbx-dev depends on libann-cctbx-dev
  * d/p/0017-cctbx-do-not-hide-sign-comparison.patch: to help arch port effort.
  * d/p/0017-dxtbx-fix-for-unsigned-char-arch.patch:
    try to fix the unsigned char issue on arm64, ppc64el ans s390x

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 21 Sep 2022 14:04:04 +0200

cctbx (2022.8+ds2+~3.11.1+ds1-1) unstable; urgency=medium

  * New upstream version 2022.8+ds2+~3.11.1+ds1
  * d/control: Added B-D libann-cctbx-dev
  * d/control: Added B-D libtiff-dev
  * d/control: better short/long description
  * d/control: Added B-D dh-sequence-[numpy|python3]
  * d/p/dxtbx*: import all the dxtbx patches
  * d/rules: built rstbx and dxtbx for dials
  * d/rules: avoid FTBFS when cctbx is already installed
  * d/watch: Added the dxtbx component

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Sep 2022 15:52:37 +0200

cctbx (2022.8+ds2-1) unstable; urgency=medium

  * d/control: Added B-D python3-pycbf >= 0.9.7+dfsg1-2~
  * d/rules: Added the missing omptbx module
  * d/install-cctbx.sh: Install the annlib_adaptbx at the right place
  * d/t/control: do not run CI on 32bits architectures.
  * New upstream version 2022.8+ds2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Sep 2022 10:51:42 +0200
