=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing cctbx with $py:"
 ; $py /usr/lib/python3/dist-packages/libtbx/command_line/run_tests_parallel.py module=annlib_adaptbx module=boost_adaptbx module=cctbx module=cma_es module=fable module=iotbx module=libtbx module=scitbx module=smtbx module=rstbx module=spotfinder nproc=$(nproc)
# module=cbflib_adaptbx module=glxtbx
 ; done
Depends:
 python3-all,
 python3-cctbx,
 python3-pytest,
Restrictions: allow-stderr, needs-internet, skip-not-installable
Architecture: !armel !armhf !i386

Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r dxtbx/tests dxtbx/conftest.py "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing dxtbx with $py:"
 ; $py -m pytest
 ; done
Depends:
 bitshuffle,
 python3-all,
 python3-cctbx,
 python3-dials-data,
 python3-pytest,
 python3-pytest-mock,
Restrictions: allow-stderr, skip-not-installable
Architecture: !armel !armhf !i386
