=== debian/changelog ===
cctbx (2023.12+ds2+~3.17.0+ds1-4build3) noble; urgency=medium

  * No-change rebuild against libccp4c0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2024 15:31:36 +0000

cctbx (2023.12+ds2+~3.17.0+ds1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:46:45 +0000

cctbx (2023.12+ds2+~3.17.0+ds1-4build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:53:36 +0000

cctbx (2023.12+ds2+~3.17.0+ds1-4) unstable; urgency=medium

  * Bug fix: "autopkgtest regression", thanks to Graham Inggs (Closes:
    #1061604).
    - d/t/control: Added g++ in order to have a working c++ compiler for tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 28 Feb 2024 13:45:40 +0100

cctbx (2023.12+ds2+~3.17.0+ds1-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * python3-future is being removed from Debian (Closes: #1061405)

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Jan 2024 02:13:56 -0500

cctbx (2023.12+ds2+~3.17.0+ds1-2) unstable; urgency=medium

  * d/control: Added B-D python3-nxmx
  * d/control: Revert orderedset -> ordered-set.
    orderedset is available in Debian, no diversion from upstream.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Jan 2024 14:44:58 +0100

cctbx (2023.12+ds2+~3.17.0+ds1-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add missing autopkgtest dep pytest-regressions

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2023.12+ds2+~3.17.0+ds1
  * d/patches
    - fix the entry_points Python3.12 incompatibility
    - dxtbx use ordered-set instead of orderedset
  * d/t/dxtbx: skip nxmx test fo now
  * d/rules: install the serialtbx module
  * Bug fix: "FTBFS: boost1.83 transition", thanks to
    gladk@debian.org</a>; (Closes: #1056086).
  * Bug fix: "FTBFS with Python 3.12", thanks to Graham Inggs (Closes:
    #1058039).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Jan 2024 22:41:16 +0100

cctbx (2022.9+ds2+~3.11.2+ds1-6) unstable; urgency=medium

  * Team upload.
  * Move autopkgtests out into separate script files for maintainability.
  * Move autopkgtest setup out of the loop to support testing on multiple
    supported Python versions. Run the tests in separate directories.
    (Closes: #1027775)
  * Patch: Pickle support for Python 3.11.
  * Patch: Update find_reference_cycles test for Python 3.11.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 10:26:53 -0400

cctbx (2022.9+ds2+~3.11.2+ds1-5) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * d/control: added B-D python3-pymol

  [ Stefano Rivera ]
  * Patch: setuptools > 60 support (avoid pip breaking setuptools distutils
    magic). (Closes: #1024859)
  * Patch: Use the python3 binary when calling pip.
  * Depend on python3-h5py in the 2nd autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 21:14:52 -0400

cctbx (2022.9+ds2+~3.11.2+ds1-4) unstable; urgency=medium

  * d/rules: remove also the gui_resources in the clean target
    Bug fix: "FTBFS: dpkg-source: error: aborting due to unexpected
    upstream changes, see
    /tmp/cctbx_2022.9+ds2+~3.11.2+ds1-3.diff.lOjzg7", thanks to Lucas
    Nussbaum (Closes: #1022354).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Nov 2022 08:54:57 +0100

cctbx (2022.9+ds2+~3.11.2+ds1-3) unstable; urgency=medium

  * build also the gltbx package
    - Added the gui_resources in order to build it
    - activate the gltbx tests
  * d/rules: build only on 64 bit arch
  * d/t/control: add verbosity to the autopkgtests
  * d/control: B-D libgl-dev and libglu1-mesa-dev for the gltbx
  * d/control: Added the gltbx description
  * d/control: Added libboost-python-dev and libccp4-dev to libcctbx-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Oct 2022 14:36:39 +0200

cctbx (2022.9+ds2+~3.11.2+ds1-2) unstable; urgency=medium

  * d/control: B-D libann-cctbx-dev (>= 1.1.2+doc-9~) and removed libann-dev
  * d/pathes/*: refreshed to compile annlib with the new ANNSELF_EXCLUDE namespace

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 14 Oct 2022 12:08:38 +0200
