=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cctbx
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
- Neil Williams <codehelp@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Radostan Riedel <raybuntu@googlemail.com>,
 Section: science
@@ -13,8 +13,7 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  jq,
- libann-dev,
- libann-cctbx-dev,
+ libann-cctbx-dev (>= 1.1.2+doc-9~),
  libantlr3c-dev,
  libboost-dev,
  libboost-numpy-dev,
@@ -25,6 +24,8 @@
  libeigen3-dev,
  libexpat1-dev,
  libfftw3-dev,
+ libgl-dev,
+ libglu1-mesa-dev,
  libhdf5-dev,
  liblz4-dev,
  libssm-dev,
@@ -33,27 +34,29 @@
  pybind11-dev,
  python3-all-dev:any,
  python3-biopython,
- python3-future,
  python3-h5py (>= 3) <!nocheck>,
  python3-matplotlib,
  python3-mrcfile,
  python3-msgpack,
  python3-numpy,
+ python3-nxmx,
+ python3-orderedset,
  python3-pint,
  python3-pip,
  python3-procrunner,
  python3-psutil,
  python3-pycbf (>= 0.9.7+dfsg1-2~),
+ python3-pymol,
  python3-pytest <!nocheck>,
  python3-requests,
+ python3-scipy,
  python3-setuptools,
- python3-scipy,
  python3-six,
  python3-tqdm <!nocheck>,
  python3-wxgtk4.0,
  rsync,
  scons,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/cctbx
 Vcs-Git: https://salsa.debian.org/science-team/cctbx.git
 Homepage: https://github.com/cctbx/cctbx_project
@@ -81,6 +84,7 @@
              X-ray detector data of arbitrary complexity from a variety
              of standard formats.
     - fable: Fortran EMulation library  for porting Fortran77 to C++.
+    - gltbx: Python bindings for OpenGL
     - iotbx: Working with common crystallographic file formats.
     - libtbx: The build system common to all other modules. This includes
               a very thin wrapper around the SCons software construction tool.
@@ -114,6 +118,8 @@
 Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
 Depends:
  libann-cctbx-dev,
+ libboost-python-dev,
+ libccp4-dev,
  libcctbx0 (= ${binary:Version}),
  ${misc:Depends},
 Section: devel
@@ -133,6 +139,7 @@
              X-ray detector data of arbitrary complexity from a variety
              of standard formats.
     - fable: Fortran EMulation library  for porting Fortran77 to C++.
+    - gltbx: Python bindings for OpenGL
     - iotbx: Working with common crystallographic file formats.
     - libtbx: The build system common to all other modules. This includes
               a very thin wrapper around the SCons software construction tool.
@@ -162,14 +169,13 @@
  .
  This package provide everythings needed to link against the cctbx libraries.
 
-
 Package: python3-cctbx
 Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
 Section: python
 Depends:
  ca-certificates,
+ libcctbx-dev (= ${binary:Version}),
  libcctbx0 (= ${binary:Version}),
- libcctbx-dev (= ${binary:Version}),
  python3-pycbf (>= 0.9.7+dfsg1-2~),
  ${misc:Depends},
  ${python3:Depends},
@@ -190,6 +196,7 @@
              X-ray detector data of arbitrary complexity from a variety
              of standard formats.
     - fable: Fortran EMulation library  for porting Fortran77 to C++.
+    - gltbx: Python bindings for OpenGL
     - iotbx: Working with common crystallographic file formats.
     - libtbx: The build system common to all other modules. This includes
               a very thin wrapper around the SCons software construction tool.
