=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,15 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-export DEB_CXXFLAGS_MAINT_APPEND=$(shell pkg-config --cflags hdf5-serial)
+export DEB_CXXFLAGS_MAINT_APPEND := $(shell pkg-config --cflags hdf5-serial) -DBOOST_TIMER_ENABLE_DEPRECATED=1
 export DEB_LDFLAGS_MAINT_APPEND=$(shell pkg-config --libs hdf5-serial)
 
 # parallel support
 #NPROC ?= $(shell dh_assistant which-build-system| jq .parallel)
 NPROC ?= $(shell nproc)  # for backport
 
-MODULES         = annlib_adaptbx boost_adaptbx cbflib_adaptbx ccp4io_adaptbx cctbx cma_es crys3d dxtbx fable iotbx libtbx mmtbx omptbx rstbx scitbx smtbx spotfinder tbxx wxtbx
-MODULES_TODO    = glxtbx
+MODULES         = annlib_adaptbx boost_adaptbx cbflib_adaptbx ccp4io_adaptbx cctbx cma_es crys3d dxtbx fable gltbx iotbx libtbx mmtbx omptbx rstbx scitbx serialtbx smtbx spotfinder tbxx wxtbx
+#MODULES_TODO    = gltbx
 MODULES_FAKE    = annlib ccp4io
 
 # avoid FTBFS when cctbx is already install edon the system (Debian specific)
@@ -35,17 +35,30 @@
 	cp -r debian/ccp4io_adaptbx ccp4io_adaptbx
 	mkdir ccp4io
 
+gui_resources:
+	cp -r debian/gui_resources gui_resources
+
 setup.py : debian/setup.py
 	cp -f $< $@
+	# add missing __init__.py files. It seems that it doesn not work when I use a patch
+	touch serialtbx/__init__.py
+	touch serialtbx/detector/legacy_metrology/__init__.py
+	touch serialtbx/mono_simulation/__init__.py
+	touch serialtbx/util/__init__.py
 
-override_dh_auto_clean: setup.py annlib_adaptbx ccp4io_adaptbx
+override_dh_auto_clean: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	dh_auto_clean
 	find . -name __pycache__ -type d -exec rm -rf {} \;
 	rm -f setup.py
 	rm -rf annlib annlib_adaptbx
 	rm -rf ccp4io ccp4io_adaptbx
+	rm -rf gui_resources
+	rm -f serialtbx/__init__.py
+	rm -f serialtbx/detector/legacy_metrology/__init__.py
+	rm -f serialtbx/mono_simulation/__init__.py
+	rm -f serialtbx/util/__init__.py
 
-override_dh_auto_configure: setup.py annlib_adaptbx ccp4io_adaptbx
+override_dh_auto_configure: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	# configure the cctbx python modules
 	dh_auto_configure
 
@@ -54,9 +67,10 @@
 
 	# configure the cctbx libtbx build system
 	dh_auto_configure -- -s custom --configure-args="mkdir -p {build_dir}_ && cd {build_dir}_ \
-		&& {interpreter} $(CURDIR)/libtbx/configure.py --build=debug --use_environment_flags --enable_cxx11 $(MODULES) $(MODULES_FAKE)"
+		&& {interpreter} $(CURDIR)/libtbx/configure.py --build=debug --use_environment_flags --cxxstd=c++14 $(MODULES) $(MODULES_FAKE)"
 
-override_dh_auto_build: setup.py annlib_adaptbx ccp4io_adaptbx
+override_dh_auto_build: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
+ifeq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_BITS), 64)
 	# build the python modules
 	dh_auto_build
 
@@ -74,8 +88,11 @@
 
 	# cp the dxtbx pybind11 extension at the right place.
 	dh_auto_build -- -s custom --build-args="cp -f {build_dir}_/lib/dxtbx_flumpy.so {build_dir}"
+else
+	false
+endif
 
-override_dh_auto_install: setup.py annlib_adaptbx ccp4io_adaptbx
+override_dh_auto_install: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	# install the cctbx python modules
 	dh_auto_install
 
@@ -103,5 +120,10 @@
 	-git clone http://github.com/cctbx/ccp4io_adaptbx ccp4io_adaptbx
 	rm -rf ccp4io_adaptbx/.git*
 
+	# gui_resources
+	-git clone http://github.com/cctbx/gui_resources gui_resources
+	rm -rf gui_resources/.git*
+	rm -rf gui_resources/icons
+	rm -rf gui_resources/gl2ps
 
 .PHONY: embed
