## cctbx 2024.8+ds2+~3.21.1+ds1

=== debian/changelog ===
cctbx (2024.8+ds2+~3.21.1+ds1-3) unstable; urgency=medium

  * Bug fix: "FTBFS deliberately on 32 bit archs", thanks to Bastian
    Germann (Closes: #1029789).
  * Add myself to Uploaders.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Oct 2024 20:12:32 +0200

cctbx (2024.8+ds2+~3.21.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Replace orderedset with ordered_set since the former seems no longer
    maintained.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Sep 2024 19:16:24 +0200

cctbx (2024.8+ds2+~3.21.1+ds1-1) unstable; urgency=medium

  * New upstream version 2024.8+ds2+~3.21.1+ds1
  * Bug fix: "autopkgtest failure with Python 3.12 only", thanks to Graham
    Inggs (Closes: #1076084).
  * d/control: B-D added libboost-timer-dev, python3-hdf5plugin, python3-natsort
  * d/p/*:
    - Refreshed for the new version
    - Added 0026-remove-distutils-in-some-modules.patch
  * d/rules: remove workaround since upstream added missing __init__.py files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Sep 2024 16:56:44 +0200
