=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: cctbx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Radostan Riedel <raybuntu@googlemail.com>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
+ architecture-is-64-bit,
  debhelper-compat (= 13),
  dh-exec,
  dh-python,
@@ -19,6 +20,7 @@
  libboost-numpy-dev,
  libboost-python-dev,
  libboost-thread-dev,
+ libboost-timer-dev,
  libcbf-dev (>= 0.9.7+dfsg1-2~),
  libclipper-dev,
  libeigen3-dev,
@@ -35,12 +37,14 @@
  python3-all-dev:any,
  python3-biopython,
  python3-h5py (>= 3) <!nocheck>,
+ python3-hdf5plugin,
  python3-matplotlib,
  python3-mrcfile,
  python3-msgpack,
+ python3-natsort,
  python3-numpy,
  python3-nxmx,
- python3-orderedset,
+ python3-ordered-set,
  python3-pint,
  python3-pip,
  python3-procrunner,
