=== debian/rules ===
--- 
+++ 
@@ -40,11 +40,6 @@
 
 setup.py : debian/setup.py
 	cp -f $< $@
-	# add missing __init__.py files. It seems that it doesn not work when I use a patch
-	touch serialtbx/__init__.py
-	touch serialtbx/detector/legacy_metrology/__init__.py
-	touch serialtbx/mono_simulation/__init__.py
-	touch serialtbx/util/__init__.py
 
 override_dh_auto_clean: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	dh_auto_clean
@@ -53,10 +48,6 @@
 	rm -rf annlib annlib_adaptbx
 	rm -rf ccp4io ccp4io_adaptbx
 	rm -rf gui_resources
-	rm -f serialtbx/__init__.py
-	rm -f serialtbx/detector/legacy_metrology/__init__.py
-	rm -f serialtbx/mono_simulation/__init__.py
-	rm -f serialtbx/util/__init__.py
 
 override_dh_auto_configure: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	# configure the cctbx python modules
@@ -70,7 +61,6 @@
 		&& {interpreter} $(CURDIR)/libtbx/configure.py --build=debug --use_environment_flags --cxxstd=c++14 $(MODULES) $(MODULES_FAKE)"
 
 override_dh_auto_build: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
-ifeq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_BITS), 64)
 	# build the python modules
 	dh_auto_build
 
@@ -88,9 +78,6 @@
 
 	# cp the dxtbx pybind11 extension at the right place.
 	dh_auto_build -- -s custom --build-args="cp -f {build_dir}_/lib/dxtbx_flumpy.so {build_dir}"
-else
-	false
-endif
 
 override_dh_auto_install: setup.py annlib_adaptbx ccp4io_adaptbx gui_resources
 	# install the cctbx python modules
