## cctbx 2024.10+ds2+~3.22.1+ds1

=== debian/changelog ===
cctbx (2024.10+ds2+~3.22.1+ds1-5build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:42:04 +0000

cctbx (2024.10+ds2+~3.22.1+ds1-5build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:41 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-5build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:03:16 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-5) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect
    Debian Policy 4.9.1.

  [ Roland Mas ]
  * Backport upstream patch to fix: "autopkgtest regression in testing",
    thanks to Graham Inggs (Closes: #1101031).
  * Fix pip invocation to help with autopkgtests.

 -- Roland Mas <lolando@debian.org>  Thu, 29 May 2025 18:19:06 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-4) unstable; urgency=medium

  * Bug fix: "removal of Python standard libraries in Python 3.13", thanks
    to Louis-Philippe Véronneau (Closes: #1084540).

 -- Roland Mas <lolando@debian.org>  Wed, 20 Nov 2024 15:50:35 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-3) unstable; urgency=medium

  * refresh the annlib_adaptor so the test are now ok
  * d/t/control: no more flaky test

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Nov 2024 09:19:32 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-2) unstable; urgency=medium

  * Mark part of the testsuite as flaky for now.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 14:55:22 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 12:16:10 +0100
