=== debian/control ===
--- 
+++ 
@@ -35,29 +35,30 @@
  libtool,
  pybind11-dev,
  python3-all-dev:any,
- python3-biopython,
+ python3-biopython <!nocheck>,
  python3-h5py (>= 3) <!nocheck>,
- python3-hdf5plugin,
- python3-matplotlib,
- python3-mrcfile,
- python3-msgpack,
- python3-natsort,
- python3-numpy,
- python3-nxmx,
- python3-ordered-set,
- python3-pint,
- python3-pip,
- python3-procrunner,
- python3-psutil,
- python3-pycbf (>= 0.9.7+dfsg1-2~),
- python3-pymol,
+ python3-hdf5plugin <!nocheck>,
+ python3-legacy-cgi <!nocheck>,
+ python3-matplotlib <!nocheck>,
+ python3-mrcfile <!nocheck>,
+ python3-msgpack <!nocheck>,
+ python3-natsort <!nocheck>,
+ python3-numpy <!nocheck>,
+ python3-nxmx <!nocheck>,
+ python3-ordered-set <!nocheck>,
+ python3-pint <!nocheck>,
+ python3-pip <!nocheck>,
+ python3-procrunner <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pycbf (>= 0.9.7+dfsg1-2~) <!nocheck>,
+ python3-pymol <!nocheck>,
  python3-pytest <!nocheck>,
- python3-requests,
- python3-scipy,
+ python3-requests <!nocheck>,
+ python3-scipy <!nocheck>,
  python3-setuptools,
- python3-six,
+ python3-six <!nocheck>,
  python3-tqdm <!nocheck>,
- python3-wxgtk4.0,
+ python3-wxgtk4.0 <!nocheck>,
  rsync,
  scons,
 Standards-Version: 4.6.2
@@ -180,6 +181,7 @@
  ca-certificates,
  libcctbx-dev (= ${binary:Version}),
  libcctbx0 (= ${binary:Version}),
+ python3-legacy-cgi,
  python3-pycbf (>= 0.9.7+dfsg1-2~),
  ${misc:Depends},
  ${python3:Depends},
