## cctbx 2025.2%2Bds2%2B~3.23.0%2Bds1

=== src/dxtbx/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 target_link_libraries( dxtbx_format_nexus_ext PRIVATE  Boost::python CCTBX::scitbx hdf5::hdf5 )
 
 Python_add_library( dxtbx_imageset_ext MODULE boost_python/imageset_ext.cc )
-target_link_libraries( dxtbx_imageset_ext PUBLIC Boost::python CCTBX::scitbx )
+target_link_libraries( dxtbx_imageset_ext PUBLIC Boost::python CCTBX::scitbx CCTBX::scitbx::boost_python )
 
 Python_add_library( dxtbx_format_image_ext
     MODULE
@@ -75,6 +75,13 @@
     target_compile_options(dxtbx_flumpy PRIVATE -fvisibility=hidden)
 endif()
 
+# pybind11 causes a bounds checking warning on recent compilers
+check_cxx_compiler_flag("-Wno-array-bounds" HAS_BOUNDS_WARNING)
+check_cxx_compiler_flag("-Wno-stringop-overread" HAS_OVERREAD_WARNING)
+if(HAS_BOUNDS_WARNING AND HAS_OVERREAD_WARNING)
+    target_compile_options(dxtbx_flumpy PRIVATE -Wno-array-bounds -Wno-stringop-overread)
+endif()
+
 install(
     TARGETS
         dxtbx_ext
