=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
  python3-nxmx <!nocheck>,
  python3-ordered-set <!nocheck>,
  python3-pint <!nocheck>,
- python3-pip <!nocheck>,
+ python3-pip,
  python3-procrunner <!nocheck>,
  python3-psutil <!nocheck>,
  python3-pycbf (>= 0.9.7+dfsg1-2~) <!nocheck>,
@@ -56,7 +56,7 @@
  python3-requests <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
- python3-six <!nocheck>,
+ python3-six,
  python3-tqdm <!nocheck>,
  python3-wxgtk4.0 <!nocheck>,
  rsync,
